Bug 467489 - Review Request: nwsclient - NetWorkSpaces Client for Python
Review Request: nwsclient - NetWorkSpaces Client for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 14:32 EDT by Tom "spot" Callaway
Modified: 2008-12-13 10:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-13 09:56:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-10-17 14:32:09 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/nwsclient.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/nwsclient-1.6.3-1.fc10.src.rpm
Description: 
NetWorkSpaces (NWS) is a powerful, open-source software package that makes it
easy to use clusters from within scripting languages like Python, R, and
Matlab. It uses a Space-based approach, similar to JavaSpaces (TM) for example,
that makes it easier to write distributed applications.

NetWorkSpaces for Python is the Python API to the NetWorkSpaces server. It
allows different Python scripts to communicate and coordinate with each other,
and (with some restrictions) with scripts written in other languages, such as
R and Matlab.  The restriction is that only strings can be passed between
different languages. NetWorkSpaces doesn't provide a standard way to serialize
objects between different languages, but by allowing strings to be used,
programmers can choose their own mechanism (XML or YAML, for example).
Comment 1 Orcan Ogetbil 2008-12-04 01:59:25 EST
Here are the results of my review on this package:

* rpmlint says:
     nwsclient.noarch: W: non-executable-in-bin /usr/bin/PythonNWSSleighWorker.pyc 0644
     nwsclient.noarch: W: non-executable-in-bin /usr/bin/PythonNWSSleighWorker.pyo 0644
These files should be excluded. Please see:
     http://fedoraproject.org/wiki/Packaging/Python#Unnecessary_Byte_compilation

* Since this package is a python module, we have to obey the python module naming guidelines:
     http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29

? Shall we package the README* files? 

? Why is only a subset of the scripts in the scripts directory installed?

? It would be nice if you make a %check section and run as many possible tests as possible from the test directory.

* Source0 gives 404

* Providing Eggs for non-setuptools packages is slightly different than for setuptools packages. Please follow:
     http://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_for_non-setuptools_packages
Comment 2 Tom "spot" Callaway 2008-12-04 14:37:54 EST
This package isn't a python module, its a python application that includes its own module, thus, it doesn't need to be renamed.

The tests can't be run without an nwsserver, so they're not overly useful in %check.

The README files are packaged, look closely. :)

The PySleighService.py isn't installed on Linux because it is windows specific. All the other scripts are installed.

I fixed the Source0 URL, used setuptools-devel, and got rid of the byte compiled files.

New SRPM: http://www.auroralinux.org/people/spot/review/new/nwsclient-1.6.3-2.fc11.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/nwsclient.spec
Comment 3 Orcan Ogetbil 2008-12-04 15:07:01 EST
All good, except I have an issue with the naming. I know that the package contains a python application, but the doc files, especially
     /usr/share/doc/nwsclient-1.6.3/nws.client.html
gave me the impression that this package's main purpose is usage as a python module. Am I wrong?
Comment 4 Tom "spot" Callaway 2008-12-04 15:09:08 EST
The main purpose of this package is to provide a python client to communicate with the nwsserver. The module enables you to write python scripts to send jobs to the nwsserver, but it is primarily the python client.
Comment 5 Orcan Ogetbil 2008-12-04 15:17:17 EST
ok, convinced :)

--------------------------------------------
This package (nwsclient) is APPROVED by oget
--------------------------------------------
Comment 6 Tom "spot" Callaway 2008-12-10 17:27:59 EST
New Package CVS Request
=======================
Package Name: nwsclient
Short Description: NetWorkSpaces Client for Python
Owners: spot
Branches: F-9 F-10 devel
InitialCC:

... and it's done.
Comment 7 Fedora Update System 2008-12-10 17:57:08 EST
nwsclient-1.6.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nwsclient-1.6.3-2.fc9
Comment 8 Fedora Update System 2008-12-10 17:57:11 EST
nwsclient-1.6.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nwsclient-1.6.3-2.fc10
Comment 9 Fedora Update System 2008-12-13 09:55:57 EST
nwsclient-1.6.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-13 10:05:24 EST
nwsclient-1.6.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.